### Method

# Adw Swipeable get_snap_points

#### Declaration [src]

    double*
    adw_swipeable_get_snap_points (
      AdwSwipeable* self,
      int* n_snap_points
    )

#### Description [src]

Gets the snap points of `self`.

Each snap point represents a progress value that is considered acceptable to end the swipe on.

Available since: | 1.0

#### Parameters

`n_snap_points` | `int*`
| Location to return the number of the snap points.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | An array of `double`
| The snap points.
| The length of the array is in the `n_snap_points` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.